Package be.fgov.ehealth.technicalconnector.ra.utils

# Class RaPropertiesLoader

java.lang.Object
be.fgov.ehealth.technicalconnector.ra.utils.RaPropertiesLoader

public class RaPropertiesLoader extends Object
Utility class for obtaining the ra properties.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AUTH_KEY_ALGO`
  `static final String`
  `AUTH_KEY_ALGO_OID`
  `static final String`
  `AUTH_KEY_SIZE`
  `static final String`
  `DUMMYCERT_SIGNATURE_ALGORITHM`
  `static final String`
  `DUMMYCERT_SUBJECT`
  `static final String`
  `ETK_CHALLENGE_CIPHER`
  `static final String`
  `ETK_CHALLENGE_DIGEST`
  `static final String`
  `SIGNATURE_ALGORITHM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RaPropertiesLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getProperty(String key)`
  `static String`
  `getProperty(String key, String defaultValue)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SIGNATURE_ALGORITHM

    public static final String SIGNATURE_ALGORITHM
    See Also:
      - Constant Field Values

  - ### AUTH_KEY_SIZE

    public static final String AUTH_KEY_SIZE
    See Also:
      - Constant Field Values

  - ### AUTH_KEY_ALGO

    public static final String AUTH_KEY_ALGO
    See Also:
      - Constant Field Values

  - ### AUTH_KEY_ALGO_OID

    public static final String AUTH_KEY_ALGO_OID
    See Also:
      - Constant Field Values

  - ### DUMMYCERT_SUBJECT

    public static final String DUMMYCERT_SUBJECT
    See Also:
      - Constant Field Values

  - ### DUMMYCERT_SIGNATURE_ALGORITHM

    public static final String DUMMYCERT_SIGNATURE_ALGORITHM
    See Also:
      - Constant Field Values

  - ### ETK_CHALLENGE_DIGEST

    public static final String ETK_CHALLENGE_DIGEST
    See Also:
      - Constant Field Values

  - ### ETK_CHALLENGE_CIPHER

    public static final String ETK_CHALLENGE_CIPHER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RaPropertiesLoader

    public RaPropertiesLoader()

- ## Method Details

  - ### getProperty

    public static String getProperty(String key)

  - ### getProperty

    public static String getProperty(String key, String defaultValue)